## org.eclipse.datatools.sqltools.sqleditor.internal.matching
Interface IMatchingPairs

All Known Implementing Classes:
  AbstractMatchingPairs, GeneralMatchingPairs, GenericSQLMatchingPairs

    public interface IMatchingPairs

The matching pattern (mapping rules) of specific language.

Author:
  juewu

Method Summary
`java.lang.String` `getMatchingPattern(java.lang.String token)` According to the given token retrieving the matching pattern.
`java.lang.String` `getMatchingPatternClosure(java.lang.String token)` Getting the related token pattern closure for a specific token.
`boolean` `isLeftToken(java.lang.String token)` Determine whether the token is left token.
`boolean` `isSupportedToken(java.lang.String token)` Determine whether the token is supported.

Method Detail

### getMatchingPattern

    java.lang.String getMatchingPattern(java.lang.String token)

  According to the given token retrieving the matching pattern.

  Parameters:
    `token` - is the one to be matched.
  Returns:
    If there is no such token supported, return null. Otherwise, return matching pattern.

### isSupportedToken

    boolean isSupportedToken(java.lang.String token)

  Determine whether the token is supported.

  Parameters:
    `token` - a `String` represents token.
  Returns:
    If supported, return true. Otherwise, return false.

### isLeftToken

    boolean isLeftToken(java.lang.String token)

  Determine whether the token is left token.

  Parameters:
    `token` - a `String` represents token.
  Returns:
    If the token is left token, return true. Otherwise, return false.

### getMatchingPatternClosure

    java.lang.String getMatchingPatternClosure(java.lang.String token)

  Getting the related token pattern closure for a specific token. When the matching token of this given token is being searching, only the tokens which match the pattern in related token pattern closure will be focused on.

  Parameters:
    `token` - is the specific token whose related token pattern is needed.
  Returns:
    the regular expression presents the related tokens of this specific token.